# bash programmable completion for various Common Lisp implementations by
# Nikodemus Siivola <nikodemus@random-state.net>
#
# $Id: gcl,v 1.2 2004/03/30 23:05:45 ianmacd Exp $

_gcl()
{
    local cur

    COMPREPLY=()
    cur=${COMP_WORDS[COMP_CWORD]}

    # completing an option (may or may not be separated by a space)
    if [[ "$cur" == -* ]]; then
	COMPREPLY=( $( compgen -W '-eval -load -f -batch -dir -libdir \
                     -compile -o-file -c-file -h-file -data-file -system-p '\
                     -- $cur ) )
    else
	_filedir
    fi

    return 0
}
complete -F _gcl -o default gcl
